<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>

<style>html,
body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
ol,
ul,
li,
img {
  margin: 0;
  padding: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}
html * {
  font-family: "ff-din-web-pro-1", "ff-din-web-pro-2", sans-serif;
  font-size: 16px;
  line-height: 19.2px;
  color-profile: sRGB;
}
body {
  margin: 40px 70px;
}
p {
  font-weight: lighter;
  margin-bottom: 20px;
}
strong {
  font-weight: bold;
}
ol,
ul {
  margin-left: 2em;
  margin-bottom: 20px;
}
ul ul,
ol ol,
ul ol,
ol ul {
  margin-top: 10px;
}
li {
  margin-bottom: 10px;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: lighter;
  text-transform: capitalize;
  margin-top: 40px;
  margin-bottom: 20px;
}
h1 {
  font-size: 24.624px;
  line-height: 29.548799999999996px;
}
h2 {
  font-size: 24.624px;
  line-height: 29.548799999999996px;
}
h3 {
  font-size: 23.44px;
  line-height: 28.128px;
}
h4 {
  font-size: 22.16px;
  line-height: 26.592px;
}
h5 {
  font-size: 22.16px;
  line-height: 26.592px;
}
h6 {
  font-size: 22.16px;
  line-height: 26.592px;
}
img {
  margin-bottom: 20px;
}
h1 img,
h2 img,
h3 img,
h4 img,
h5 img,
h6 img,
p img {
  margin-bottom: 0;
}
pre {
  margin-bottom: 20px;
}
pre,
code {
  font-family: monospace;
}
pre {
  white-space: pre;
  white-space: pre-wrap;
  word-wrap: break-word;
  padding: 15px;
}
blockquote {
  border-left: 4px solid;
  padding: 0 15px;
}
blockquote > :first-child {
  margin-top: 0;
}
blockquote > :last-child {
  margin-bottom: 15px;
}
h1 {
  text-transform: uppercase;
  font-weight: bold;
  border-bottom: 1px solid;
}
h2 {
  border-bottom: 1px solid;
}
h3,
h4,
h5,
h6 {
  border-bottom: none;
}
html * {
  color: #839496;
}
html body {
  background-color: #002b36;
}
html h1,
html h2,
html h3,
html h4,
html h5,
html h6 {
  color: #93a1a1;
  border-color: #839496;
}
html a,
html a:active,
html a:visited {
  color: #93a1a1;
}
html a:hover {
  background-color: #073642;
}
html pre {
  color: #93a1a1;
  background-color: #073642;
}
html a,
html a:active,
html a:visited,
html code.url {
  color: #b58900;
}
html h1 {
  color: #b58900;
}
html h2,
html h3,
html h4,
html h5,
html h6 {
  color: #b58900;
}

@media print {
  body {
    margin: 0;
  }
  * {
    color: #000 !important;
  }
}</style>
</head>
<body>
<h1 id="toc_0">(Counter)Rotationward Horizon in a roofed cylindrical world</h1>

<p><img src="./0716-problem.jpeg" alt=""></p>

<h2 id="toc_1">Problem</h2>

<p>Imagine two concentric circles of a shared central point <code>c</code>, where the larger one has a radius of <code>R</code>, and the smaller one has a radius of <code>r</code>.
A line that we would call <code>x</code> intersect the surface of the smaller circle, tangential to the surface.
Naturally, the line intersect the larger circles at two points, let&#39;s call them <code>a</code> and <code>b</code>.
Line <code>x</code> divides the larger circle&#39;s circumference <code>2*pi*R</code> into two, that is <code>Q</code> and <code>q</code>.
As long as <code>r!=0</code>, they observe <code>2*pi*R = Q + q</code> where <code>Q</code> &gt; <code>q</code>.</p>

<p>Now, consider that another line is intersecting point <code>a</code> tangential to the larger circle.
With that line intersecting at <code>a</code> represents the normal horizon of an observer standing at point <code>a</code>, said observer is observing point <code>b</code>.
The observer discovers that point <code>b</code> has an altitude of <code>B</code> degrees.</p>

<p>With only <code>R</code> and <code>r</code> are known, draw problem diagrams and construct equations to calculate:</p>

<ul>
<li><code>q</code></li>
<li>the length of <code>x</code> in between point <code>a</code> and point <code>b</code></li>
<li>the angle of <code>B</code> in degrees</li>
</ul>

<p>Provide your reasoning and steps in the answer sheets, of how you come up with the solutions.</p>

<h2 id="toc_2">Solution 20200904</h2>

<p>To know <code>q</code> we must also know that a circle is considered a full turn.
So to know <code>q</code>, we must know the total circumference multiplied by &quot;turns&quot; of <code>q</code>.
To know the turns, we must first know the angle that point <code>a</code> and <code>b</code> made against <code>c</code>.</p>

<p>The angle at <code>c</code> could be obtained by considering <code>a, b,</code> and <code>c</code> as an equilateral triangle, with the height of <code>r</code>, and the base length of <code>x</code>.
Because the triangle is an equilateral triangle with <code>c-a</code> and <code>c-b</code> lengths are equal, we can split them into two identical right-angle triangles.
Examining either one of them gave us a right-angle triangle with height of <code>r</code>, hypotenuse of <code>R</code>, and base of <code>w = x/2</code>.
Knowing the height and the hypotenuse, the base <code>w</code> can be solved with Pythagorean theorem, then <code>x</code> can be acquired by <code>x = 2w</code>.</p>

<p>The next problem would be to discover the angle at <code>c</code>.
Actually, the previous step to find <code>x</code> is not necessary to get the angle at <code>c</code> of the <code>abc</code> triangle, which we would call <code>T</code>.
As discussed before, the <code>abc</code> triangle can be divided into two right angle triangles, the angle at <code>c</code> of each right-angle triangles, denoted as <code>A</code> (they&#39;re identical) would be <code>T=2A</code>.
To get <code>A</code>, it is quite trivial: <code>cos A = r/R</code>, therefore <code>sec (r/R) = A</code>.
As seen, to obtain <code>A</code> we just need <code>r</code> and <code>R</code>.</p>

<p>The result is then converted to radians, and then to turns:</p>

<pre><code>A[radians] = A[degrees] * pi / 180 [degrees]
A[turns] = A[radians] / 2 * pi
</code></pre>

<p>Remember that <code>A</code> is half the angle of the original <code>abc</code> triangle at corner <code>c</code>, therefore <code>T[turns] = 2A[turns]</code>.</p>

<p>The expanded equation would be:</p>

<pre><code>q = 2 * R * sec (r/R) * pi / 180[degrees]
</code></pre>

<p>For the second question, considering <code>x = 2w</code>, the length of <code>x</code> can be acquired by:</p>

<pre><code>x = 2 * ( R^2 - r^2 )^0.5
</code></pre>

<p>For the third question, we must remember that the contact between <code>R</code> and the line at <code>a</code> is tangent to the surface of circle <code>R</code>.
Line <code>a</code> would then form an angle with the line that is tangent to the surface of circle <code>r</code> and intersect circle <code>R</code> at <code>a</code> and <code>b</code>.
Let&#39;s call this angle at point <code>a</code> between line <code>a</code> and line <code>b</code> as <code>B</code>, per the problem&#39;s requirements.</p>

<p>Assuming a flat euclidian geometry, the sum of all angles inside the<code>abc</code> triangle is <code>180[degrees]</code>.
Knowing, that the angle at point <code>a</code> of the <code>abc</code> triangle can be acquired by knowing either <code>A</code> or <code>T</code>.
Since we already know that <code>A[degrees] = sec (r/R)</code>, and <code>T = 2A</code>, we can get <code>T = 2 * sec (r/R)</code>.
Being an equilateral triangle, <code>abc</code> triangle has 2 corners with identical angles we call <code>G</code>, excluding <code>T</code>.
Therefore, we get the following relationship: <code>180[degrees] = T + 2G</code>.</p>

<p>Knowing that <code>R</code> connects to <code>x</code> at an angle, but <code>a</code> is tangent to <code>R</code>, the angle between <code>R</code> and line at <code>a</code> is <code>90[degrees]</code>.
Therefore, <code>G + B = 90[degrees]</code>, so <code>B = 90[degrees] - G</code>.
As we know from the previous paragraph:</p>

<pre><code>G = (180[degrees] - T) / 2
  = (180[degrees] - 2 * sec (r/R)) / 2```
</code></pre>

<p>Therefore:</p>

<pre><code>B[degrees] = 90[degrees] - ((180[degrees] - 2 * sec (r/R) / 2)
</code></pre>

<h4 id="toc_3">Answer:</h4>

<ul>
<li><code>q = 2 * R * sec (r/R) * pi / 180[degrees]</code></li>
<li>length of <code>x = 2 * ( R^2 - r^2 )^0.5</code></li>
<li><code>B[degrees] = 90[degrees] - ((180[degrees] - 2 * sec (r/R) / 2)</code></li>
</ul>

</body>
</html>
